import{s as He,f as we,n as Ee,o as Se}from"../chunks/scheduler.389d799c.js";import{S as Te,i as Le,g as o,s as a,r as L,A as Me,h as r,f as n,c as s,j as Ce,u as M,x as l,k as F,y as Fe,a as i,v as I,d as A,t as k,w as q}from"../chunks/index.8f81d18f.js";import{H as D,E as Ie}from"../chunks/EditOnGithub.33306dfe.js";function Ae(ue){let u,G,z,R,c,j,p,ce="🤗 Inference Endpoints is built with security and secure inference at its core. Below you can find an overview of the security measures we have in place.",B,f,O,m,pe="Hugging Face does not store any customer data in terms of payloads or tokens that are passed to the Inference Endpoint. We are storing logs for 30 days. Every Inference Endpoints uses TLS/SSL to encrypt the data in transit.",U,g,fe="We also recommend using AWS Private Link for organizations. This allows you to access your Inference Endpoint through a private connection, without exposing it to the internet.",Y,d,me='Hugging Face also offers GDPR data processing agreement through an Enterprise Hub subscription. For more information or to subscribe to Enterprise Hub, please visit <a href="https://huggingface.co/enterprise" rel="nofollow">https://huggingface.co/enterprise</a>.',J,h,K,v,ge="You can set a model repository as private if you do not want to publicly expose it. Hugging Face does not own any model or data you upload to the Hugging Face hub. Hugging Face does provide malware and pickle scans over the contents of the model repository as with all items in the Hub.",N,y,Q,$,de="The Hugging Face Hub, and Inference Endpoints, is SOC2 Type 2 certified. The Hugging Face Hub also offers Role Based Access Control.",V,b,he='For more on hub security: <a href="https://huggingface.co/docs/hub/security" rel="nofollow">https://huggingface.co/docs/hub/security</a>.',X,x,ve='For information on the Enterprise Hub subscription for premium security features: <a href="https://huggingface.co/docs/hub/enterprise-hub" rel="nofollow">https://huggingface.co/docs/hub/enterprise-hub</a>',Z,P,ye,ee,_,te,w,$e="We currently offer three types of endpoints, in order or increasing security level:",ne,C,be="<li><strong>Public</strong>: A Public Endpoint is available from the internet, secured with TLS/SSL, and requires no authentication.</li> <li><strong>Protected</strong>: A Protected Endpoint is available from the internet, secured with TLS/SSL, and requires a valid Hugging Face token for authentication.</li> <li><strong>Private</strong> A Private Endpoint is only available through an intra-region secured AWS or Azure PrivateLink connection. Private Endpoints are not accessible from the internet.</li>",ie,H,xe="Public and Protected Endpoints do not require any additional configuration. For Private Endpoints, you need to provide the AWS account ID of the account which also should have access to 🤗 Inference Endpoints.",ae,E,Pe,se,S,_e='Hugging Face Privacy Policy - <a href="https://huggingface.co/privacy" rel="nofollow">https://huggingface.co/privacy</a>',oe,T,re,W,le;return c=new D({props:{title:"Security & Compliance",local:"security--compliance",headingTag:"h1"}}),f=new D({props:{title:"Data Security/Privacy",local:"data-securityprivacy",headingTag:"h2"}}),h=new D({props:{title:"Model Security/Privacy:",local:"model-securityprivacy",headingTag:"h2"}}),y=new D({props:{title:"Inference Endpoints and Hub Security",local:"inference-endpoints-and-hub-security",headingTag:"h2"}}),_=new D({props:{title:"Inference Endpoint Security level",local:"inference-endpoint-security-level",headingTag:"h2"}}),T=new Ie({props:{source:"https://github.com/huggingface/hf-endpoints-documentation/blob/main/docs/source/security.mdx"}}),{c(){u=o("meta"),G=a(),z=o("p"),R=a(),L(c.$$.fragment),j=a(),p=o("p"),p.textContent=ce,B=a(),L(f.$$.fragment),O=a(),m=o("p"),m.textContent=pe,U=a(),g=o("p"),g.textContent=fe,Y=a(),d=o("p"),d.innerHTML=me,J=a(),L(h.$$.fragment),K=a(),v=o("p"),v.textContent=ge,N=a(),L(y.$$.fragment),Q=a(),$=o("p"),$.textContent=de,V=a(),b=o("p"),b.innerHTML=he,X=a(),x=o("p"),x.innerHTML=ve,Z=a(),P=o("img"),ee=a(),L(_.$$.fragment),te=a(),w=o("p"),w.textContent=$e,ne=a(),C=o("ul"),C.innerHTML=be,ie=a(),H=o("p"),H.textContent=xe,ae=a(),E=o("img"),se=a(),S=o("p"),S.innerHTML=_e,oe=a(),L(T.$$.fragment),re=a(),W=o("p"),this.h()},l(e){const t=Me("svelte-u9bgzb",document.head);u=r(t,"META",{name:!0,content:!0}),t.forEach(n),G=s(e),z=r(e,"P",{}),Ce(z).forEach(n),R=s(e),M(c.$$.fragment,e),j=s(e),p=r(e,"P",{"data-svelte-h":!0}),l(p)!=="svelte-1a9shit"&&(p.textContent=ce),B=s(e),M(f.$$.fragment,e),O=s(e),m=r(e,"P",{"data-svelte-h":!0}),l(m)!=="svelte-1vdunxy"&&(m.textContent=pe),U=s(e),g=r(e,"P",{"data-svelte-h":!0}),l(g)!=="svelte-1kgmsa1"&&(g.textContent=fe),Y=s(e),d=r(e,"P",{"data-svelte-h":!0}),l(d)!=="svelte-1n001ue"&&(d.innerHTML=me),J=s(e),M(h.$$.fragment,e),K=s(e),v=r(e,"P",{"data-svelte-h":!0}),l(v)!=="svelte-1c7sbez"&&(v.textContent=ge),N=s(e),M(y.$$.fragment,e),Q=s(e),$=r(e,"P",{"data-svelte-h":!0}),l($)!=="svelte-agidxq"&&($.textContent=de),V=s(e),b=r(e,"P",{"data-svelte-h":!0}),l(b)!=="svelte-17needf"&&(b.innerHTML=he),X=s(e),x=r(e,"P",{"data-svelte-h":!0}),l(x)!=="svelte-1btz9t4"&&(x.innerHTML=ve),Z=s(e),P=r(e,"IMG",{width:!0,src:!0}),ee=s(e),M(_.$$.fragment,e),te=s(e),w=r(e,"P",{"data-svelte-h":!0}),l(w)!=="svelte-1ealxbl"&&(w.textContent=$e),ne=s(e),C=r(e,"UL",{"data-svelte-h":!0}),l(C)!=="svelte-1mpnxn1"&&(C.innerHTML=be),ie=s(e),H=r(e,"P",{"data-svelte-h":!0}),l(H)!=="svelte-zpou9o"&&(H.textContent=xe),ae=s(e),E=r(e,"IMG",{src:!0,alt:!0}),se=s(e),S=r(e,"P",{"data-svelte-h":!0}),l(S)!=="svelte-1vxyn0u"&&(S.innerHTML=_e),oe=s(e),M(T.$$.fragment,e),re=s(e),W=r(e,"P",{}),Ce(W).forEach(n),this.h()},h(){F(u,"name","hf:doc:metadata"),F(u,"content",ke),F(P,"width","150"),we(P.src,ye="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/security-soc-1.jpg")||F(P,"src",ye),we(E.src,Pe="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/endpoint_types.png")||F(E,"src",Pe),F(E,"alt","endpoint types")},m(e,t){Fe(document.head,u),i(e,G,t),i(e,z,t),i(e,R,t),I(c,e,t),i(e,j,t),i(e,p,t),i(e,B,t),I(f,e,t),i(e,O,t),i(e,m,t),i(e,U,t),i(e,g,t),i(e,Y,t),i(e,d,t),i(e,J,t),I(h,e,t),i(e,K,t),i(e,v,t),i(e,N,t),I(y,e,t),i(e,Q,t),i(e,$,t),i(e,V,t),i(e,b,t),i(e,X,t),i(e,x,t),i(e,Z,t),i(e,P,t),i(e,ee,t),I(_,e,t),i(e,te,t),i(e,w,t),i(e,ne,t),i(e,C,t),i(e,ie,t),i(e,H,t),i(e,ae,t),i(e,E,t),i(e,se,t),i(e,S,t),i(e,oe,t),I(T,e,t),i(e,re,t),i(e,W,t),le=!0},p:Ee,i(e){le||(A(c.$$.fragment,e),A(f.$$.fragment,e),A(h.$$.fragment,e),A(y.$$.fragment,e),A(_.$$.fragment,e),A(T.$$.fragment,e),le=!0)},o(e){k(c.$$.fragment,e),k(f.$$.fragment,e),k(h.$$.fragment,e),k(y.$$.fragment,e),k(_.$$.fragment,e),k(T.$$.fragment,e),le=!1},d(e){e&&(n(G),n(z),n(R),n(j),n(p),n(B),n(O),n(m),n(U),n(g),n(Y),n(d),n(J),n(K),n(v),n(N),n(Q),n($),n(V),n(b),n(X),n(x),n(Z),n(P),n(ee),n(te),n(w),n(ne),n(C),n(ie),n(H),n(ae),n(E),n(se),n(S),n(oe),n(re),n(W)),n(u),q(c,e),q(f,e),q(h,e),q(y,e),q(_,e),q(T,e)}}}const ke='{"title":"Security & Compliance","local":"security--compliance","sections":[{"title":"Data Security/Privacy","local":"data-securityprivacy","sections":[],"depth":2},{"title":"Model Security/Privacy:","local":"model-securityprivacy","sections":[],"depth":2},{"title":"Inference Endpoints and Hub Security","local":"inference-endpoints-and-hub-security","sections":[],"depth":2},{"title":"Inference Endpoint Security level","local":"inference-endpoint-security-level","sections":[],"depth":2}],"depth":1}';function qe(ue){return Se(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ge extends Te{constructor(u){super(),Le(this,u,qe,Ae,He,{})}}export{Ge as component};
